using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace DataSharing.HotlineWeb
{
    /// <summary>
    /// 系统设置表
    /// </summary>
    [Description("系统设置表")]
    public class ConfigurationInformation : CreationEntity
    {
        /// <summary>
        /// 在线服务代表数
        /// </summary>
        [SugarColumn(ColumnDescription = "在线服务代表数")]
        public int CrntSeatNum { get; set; }

        /// <summary>
        /// 通话服务代表数
        /// </summary>
        [SugarColumn(ColumnDescription = "通话服务代表数")]
        public int CrntTelNum { get; set; }

        /// <summary>
        /// 坐席数（个）
        /// </summary>
        [SugarColumn(ColumnDescription = "坐席数（个）")]
        public int SeatNum { get; set; }

        /// <summary>
        /// 坐席话务员数（个）
        /// </summary>
        [SugarColumn(ColumnDescription = "坐席话务员数（个）")]
        public int SeatHwyNum { get; set; }

        /// <summary>
        /// 未接通通话记录最多上传条数
        /// </summary>
        [SugarColumn(ColumnDescription = "未接通通话记录最多上传条数", DefaultValue = "0")]
        public int MissedCallCount { get; set; }

        /// <summary>
        /// 是否开启未办超期修改为未超期
        /// </summary>
        [SugarColumn(ColumnDescription = "是否开启未办超期修改为未超期", DefaultValue = "f")]
        public bool IsUpdateExpiredTime { get; set; }
    }
}
